aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-gtk/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-02 14:37:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-02 14:37:16 +0000
commitdda16dc0689d374e0075f46efafa545c5d03d8fb (patch)
tree999903f1bb68c5146e78a827912e34c190cb56ec /testing/py-gtk/APKBUILD
parent0031a7082630ffda720adab5b911bfc663e0d526 (diff)
downloadaports-dda16dc0689d374e0075f46efafa545c5d03d8fb.tar.gz
aports-dda16dc0689d374e0075f46efafa545c5d03d8fb.tar.bz2
aports-dda16dc0689d374e0075f46efafa545c5d03d8fb.tar.xz
testing/py-gtk: new aport
Python bindings for the GTK widget set http://www.pygtk.org/
Diffstat (limited to 'testing/py-gtk/APKBUILD')
-rw-r--r--testing/py-gtk/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/testing/py-gtk/APKBUILD b/testing/py-gtk/APKBUILD
new file mode 100644
index 0000000000..d7b65c14c6
--- /dev/null
+++ b/testing/py-gtk/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-gtk
+pkgver=2.17.0
+pkgrel=0
+pkgdesc="Python bindings for the GTK widget set"
+url="http://www.pygtk.org/"
+license="LGPL"
+depends=
+makedepends="libglade-dev py-cairo-dev py-gobject-dev python-dev"
+source="http://ftp.gnome.org/pub/gnome/sources/pygtk/2.17/pygtk-$pkgver.tar.bz2"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-demo"
+
+_builddir="$srcdir"/pygtk-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -m644 gtk/gtk-extrafuncs.defs ""$pkgdir"/usr/share/pygtk/2.0/defs/" || return 1
+}
+
+demo() {
+ pkgdesc="Demonstration of pygtk"
+ depends="py-gtk"
+ mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib/pygtk/2.0
+ mv "$pkgdir"/usr/bin/pygtk-demo "$subpkgdir"/usr/bin/
+ mv "$pkgdir"/usr/lib/pygtk/2.0/*demo* \
+ "$subpkgdir"/usr/lib/pygtk/2.0/
+}
+md5sums="43d704343d7ca04a6e4ddd4fa73a3c55 pygtk-2.17.0.tar.bz2"